import React from 'react';
import Link from 'next/link';

export default function Register() {
	return (
		<div className='flex flex-col items-center justify-center min-h-screen bg-purple-100'>
			<div className='bg-white p-8 rounded-lg shadow-md w-full max-w-md'>
				<h1 className='text-2xl font-bold mb-6 text-purple-700'>Register</h1>
				<form>
					<div className='mb-4'>
						<label className='block text-purple-700 mb-2' htmlFor='name'>
							Name
						</label>
						<input
							className='w-full p-2 border border-purple-300 rounded'
							type='text'
							id='name'
							name='name'
							required
						/>
					</div>
					<div className='mb-4'>
						<label className='block text-purple-700 mb-2' htmlFor='email'>
							Email
						</label>
						<input
							className='w-full p-2 border border-purple-300 rounded'
							type='email'
							id='email'
							name='email'
							required
						/>
					</div>
					<div className='mb-6'>
						<label className='block text-purple-700 mb-2' htmlFor='password'>
							Password
						</label>
						<input
							className='w-full p-2 border border-purple-300 rounded'
							type='password'
							id='password'
							name='password'
							required
						/>
					</div>
					<button
						className='w-full bg-purple-700 text-white p-2 rounded hover:bg-purple-800'
						type='submit'
					>
						Register
					</button>
				</form>
				<p className='mt-4 text-purple-700'>
					Already have an account?{' '}
					<Link href='/login' legacyBehavior>
						<a className='text-purple-500 hover:underline'>Login</a>
					</Link>
				</p>
			</div>
		</div>
	);
}
